import { HttpClient } from "@angular/common/http";
import { Injectable } from "@angular/core";
import { QualificationGetDTO } from "../models/skill";
import { Observable } from "rxjs";

@Injectable({
  providedIn: 'root'
})
export class SkillService {

  public static readonly BASE_URL = "http://localhost:8089";

  constructor(private http: HttpClient) {

  }

  getAllSkills(): Observable<Array<QualificationGetDTO>> {
    return this.http.get<Array<QualificationGetDTO>>(`${SkillService.BASE_URL}/qualifications`);
  }
}
